export default {
  name: '日期范围选择框',
  propsOptions: [
    {
      name: 'startCallback',
      label: '开始时间',
      description: '',
      type: 'param',
    },
    {
      name: 'endCallback',
      label: '结束时间',
      description: '',
      type: 'param',
    },
    {
      name: 'startPlaceholder',
      label: '开始日期提示',
      description: '',
      type: 'string',
    },
    {
      name: 'endPlaceholder',
      label: '结束日期提示',
      description: '',
      type: 'string',
    },
    {
      name: 'mode',
      label: '模式',
      description: '',
      type: 'select',
      value: '',
      selectOptions: [
        {
          label: 'date',
          value: 'date',
        },
        {
          label: 'dateTime',
          value: 'dateTime',
        },
        {
          label: 'month',
          value: 'month',
        },
      ],
    },
    {
      name: 'autoFocus',
      label: '自动焦点',
      description: '',
      type: 'boolean',
    },
    {
      name: 'size',
      label: '控件大小',
      description: '',
      type: 'select',
      value: '',
      selectOptions: [
        {
          label: 'default',
          value: '',
        },
        {
          label: 'small',
          value: 'small',
        },
        {
          label: 'large',
          value: 'large',
        },
      ],
    },
    {
      name: 'disabled',
      label: '禁用',
      description: '',
      type: 'boolean',
    },
    {
      name: 'format',
      label: '日期格式',
      type: 'select',
      value: '',
      isShowItem: '!props.picker || props.picker === "time"',
      isAddOption: true,
      selectOptions: [
        {
          label: '',
          value: '不设置',
        },
        {
          label: 'YYYY-MM-DD',
          value: 'YYYY-MM-DD',
        },
        {
          label: 'YYYY-MM-DD HH',
          value: 'YYYY-MM-DD HH',
        },
        {
          label: 'YYYY-MM-DD HH:mm',
          value: 'YYYY-MM-DD HH:mm',
        },
        {
          label: 'YYYY-MM-DD HH:mm:ss',
          value: 'YYYY-MM-DD HH:mm:ss',
        },
        {
          label: 'HH',
          value: 'HH',
        },
        {
          label: 'HH:mm',
          value: 'HH:mm',
        },
        {
          label: 'HH:mm:ss',
          value: 'HH:mm:ss',
        }
      ]
    },
    // {
    //   name: 'minDate',
    //   label: '最早可选日期',
    //   description: '',
    //   type: 'number',
    //   value: '',
    //   numberProps: {
    //     step: 1,
    //     min: 0,
    //     unit: '天',
    //     before: '距明日'
    //   },
    //   isShowItem: '!props.mode || props.mode === "date" || props.mode === "dateTime"',
    // },
    // {
    //   name: 'maxDate',
    //   label: '最晚可选日期',
    //   description: '',
    //   type: 'number',
    //   value: '',
    //   numberProps: {
    //     step: 1,
    //     min: 0,
    //     unit: '天',
    //     before: '距当日'
    //   },
    //   isShowItem: '!props.mode || props.mode === "date" || props.mode === "dateTime"',
    // },
    // {
    //   name: 'minMonth',
    //   label: '最早可选月份',
    //   description: '',
    //   type: 'number',
    //   value: '',
    //   numberProps: {
    //     step: 1,
    //     min: 0,
    //     unit: '月',
    //     before: '距下月'
    //   },
    //   isShowItem: 'props.mode === "month"',
    // },
    // {
    //   name: 'maxMonth',
    //   label: '最晚可选月份',
    //   description: '',
    //   type: 'number',
    //   value: '',
    //   numberProps: {
    //     step: 1,
    //     min: 0,
    //     unit: '月',
    //     before: '距当月'
    //   },
    //   isShowItem: 'props.mode === "month"',
    // }
  ],
  viewEditorConfig: {
    // defaultActiveTabPane: 'style',
    disabledHeightStyle : true,
  }
};
